Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.phonon
Class VolumeFaderEffect

    java.lang.Object
      com.trolltech.qt.QSignalEmitter
          com.trolltech.qt.QtJambiObject
              com.trolltech.qt.core.QObject
                  com.trolltech.qt.phonon.Effect
                      com.trolltech.qt.phonon.VolumeFaderEffect

All Implemented Interfaces:
  QtJambiInterface

    public class VolumeFaderEffect

extends Effect

Author. Matthias Kretz <kretz@kde.org>

This effect differs from gradually changing the output volume in that a dedicated effect can change the volume in the smallest possible steps while every other volume control will make more or less noticeable steps.

See also:
  `AudioOutput::volume()`.

Nested Class Summary
`static class` | `VolumeFaderEffect.FadeCurve` Determines the curve of the volume change.

Nested classes/interfaces inherited from class com.trolltech.qt.QSignalEmitter
`QSignalEmitter.Signal0, QSignalEmitter.Signal1, QSignalEmitter.Signal2, QSignalEmitter.Signal3, QSignalEmitter.Signal4, QSignalEmitter.Signal5, QSignalEmitter.Signal6, QSignalEmitter.Signal7, QSignalEmitter.Signal8, QSignalEmitter.Signal9`

Method Summary
`VolumeFaderEffect.FadeCurve` | `fadeCurve()` This property holds the fade curve to be used for the `fadeIn()`, `fadeOut()` and `fadeTo()` slots.
`static VolumeFaderEffect` | `fromNativePointer(QNativePointer nativePointer)` This method returns the VolumeFaderEffect instance pointed to by `nativePointer`.
`void` | `setFadeCurve(VolumeFaderEffect.FadeCurve curve)` This property holds the fade curve to be used for the `fadeIn()`, `fadeOut()` and `fadeTo()` slots.
`void` | `setVolume(float volume)` This is the current volume of the output as voltage factor.
`void` | `setVolumeDecibel(double volumeDecibel)` This is the current volume of the output in decibel.
`float` | `volume()` This is the current volume of the output as voltage factor.
`double` | `volumeDecibel()` This is the current volume of the output in decibel.

Methods inherited from class com.trolltech.qt.phonon.Effect
`description, inputPaths, isValid, outputPaths, parameters, parameterValue, setParameterValue`

Methods inherited from class com.trolltech.qt.core.QObject
`childEvent, children, connectSlotsByName, customEvent, disposeLater, dumpObjectInfo, dumpObjectTree, dynamicPropertyNames, event, eventFilter, findChild, findChild, findChild, findChildren, findChildren, findChildren, findChildren, indexOfProperty, installEventFilter, isWidgetType, killTimer, moveToThread, objectName, parent, properties, property, removeEventFilter, setObjectName, setParent, setProperty, startTimer, timerEvent, toString, userProperty`

Methods inherited from class com.trolltech.qt.QtJambiObject
`dispose, disposed, equals, finalize, reassignNativeResources, tr, tr, tr`

Methods inherited from class com.trolltech.qt.QSignalEmitter
`blockSignals, disconnect, disconnect, signalsBlocked, signalSender, thread`

Methods inherited from class java.lang.Object
`clone, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.trolltech.qt.QtJambiInterface
`disableGarbageCollection, nativeId, nativePointer, reenableGarbageCollection, setJavaOwnership`

Method Detail

### fadeCurve

    public final VolumeFaderEffect.FadeCurve fadeCurve()

  This property holds the fade curve to be used for the `fadeIn()`, `fadeOut()` and `fadeTo()` slots.

  Defaults to `Fade3Decibel` .

See also:
  `FadeCurve` .

### setFadeCurve

    public final void setFadeCurve(VolumeFaderEffect.FadeCurve curve)

  This property holds the fade curve to be used for the `fadeIn()`, `fadeOut()` and `fadeTo()` slots.

  Defaults to `Fade3Decibel` .

See also:
  `FadeCurve` .

### setVolume

    public final void setVolume(float volume)

  This is the current volume of the output as voltage factor. Setting this property changes the volume immediately.

  1.0 means 100%, 0.5 means 50% voltage/25% power, 0.0 means 0%

See also:
  volumeDecibel.

### setVolumeDecibel

    public final void setVolumeDecibel(double volumeDecibel)

  This is the current volume of the output in decibel. Setting this property changes the volume immediately.

  0 dB means no change in volume, -6dB means an attenuation of the voltage to 50% and an attenuation of the power to 25%, -inf dB means silence.

See also:
  volume.

### volume

    public final float volume()

  This is the current volume of the output as voltage factor. Setting this property changes the volume immediately.

  1.0 means 100%, 0.5 means 50% voltage/25% power, 0.0 means 0%

See also:
  volumeDecibel.

### volumeDecibel

    public final double volumeDecibel()

  This is the current volume of the output in decibel. Setting this property changes the volume immediately.

  0 dB means no change in volume, -6dB means an attenuation of the voltage to 50% and an attenuation of the power to 25%, -inf dB means silence.

See also:
  volume.

### fromNativePointer

    public static VolumeFaderEffect fromNativePointer(QNativePointer nativePointer)

  This method returns the VolumeFaderEffect instance pointed to by `nativePointer`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD